%global minorversion    2.8

Name:		xfce4-whiskermenu-plugin
Version:	2.8.3
Release:	1
Summary:	Alternate menu plugin for the Xfce
License:	GPLv2+
URL:		http://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	exo-devel
BuildRequires:	garcon-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	xfce4-panel-devel
BuildRequires:	accountsservice-devel
BuildRequires:	pkgconfig(gtk-layer-shell-0)

Requires:	xfce4-panel
Requires:	hicolor-icon-theme

%description
Whisker Menu is an alternate application launcher for Xfce. When you open it
you are shown a list of applications you have marked as favorites. You can
browse through all of your installed applications by clicking on the category
buttons on the side. Top level categories make browsing fast, and simple to
switch between. Additionally, Whisker Menu keeps a list of the last ten
applications that you've launched from it.

%prep
%setup -q

%build
mkdir build && pushd build
%cmake ..
%make_build
popd

%install
pushd build
%make_install
popd

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc README NEWS
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
# Type=X-XFCE-PanelPlugin is a valid extension of freedesktop.org specs, but 
# desktop-file-utils refuse to install or verify these files
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.panel.whiskermenu.*g
%{_mandir}/man1/xfce4-popup-whiskermenu.1*

%changelog
* Tue Jul 09 2024 misaka00251 <liuxin@iscas.ac.cn> - 2.8.3-1
- Update to 2.8.3

* Mon Jun 20 2022 zhanglin <lin.zhang@turbolinux.com.cn> - 2.7.1-1
- Update to 2.7.1

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 2.5.3-1
- Update to 2.5.3

* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 2.4.6-1
- Init package
